\documentclass{computing}

\title{Theory of Computation}
\author{Jim Hef{}feron}

% \usepackage{layouts}
\usepackage{endnotes}

% For the index
\usepackage{makeidx}
\makeindex


\includeonly{%
% cover/cover,%
% preface/preface,%
% prologue/prologue,%
% background/background,%
% languages/languages,%
% automata/automata,%
complexity/complexity,%
appendix/appendix,%
% credits%
}

% the flag to make paper copies is in the file ./papercopyflag.tex
% \usepackage{showframe}


\begin{document} % \setuplayouts
\addtoendnotes{\vspace{3ex}\par\noindent\textbf{Cover}}
\ifbool{MakingPaperCopy}{%
  \input{cover/titlepage}
  % There is only one \citetext{}{} in cover.tex
  \writetoentfile{Calculating the bonus}{\url{http://www.loc.gov/pictures/item/npc2007012636/}}
}{%
  \include{cover/cover}
}
% \include{cover/cover}
% \input{cover/titlepage}
\titlepage
\frontmatter
\addtoendnotes{\vspace{3ex}\par\noindent\textbf{Preface}}
\include{preface/preface}
\clearemptydoublepage
\pagestyle{booktoc}\thispagestyle{bookemptypage}
\tableofcontents
\mainmatter\pagestyle{bookbody}
\part{Classical Computability}

\chaptertitletoendfiles{Prologue}
% \addtoendnotes{\vspace{3ex}\textbf{Prologue}}
% \Writetofile{\creditsfilename}{\protect\vspace{3ex}\protect\textbf{Prologue}\par\noindent}
\include{prologue/prologue}
\chaptertitletoendfiles{Background}
% \addtoendnotes{\vspace{3ex}\textbf{Background}}
% \Writetofile{\creditsfilename}{\vspace{3ex}\textbf{Background}}
\include{background/background}


\part{Automata}
% \chaptertitletoendfiles{Languages}
\addtoendnotes{\vspace{3ex}\textbf{Languages}}
\Writetofile{\creditsfilename}{\vspace{3ex}\protect\par\protect\noindent\textbf{Languages}\protect\vspace{1ex}}
\include{languages/languages}
% \chaptertitletoendfiles{Automata}
\addtoendnotes{\vspace{3ex}\textbf{Automata}}
\Writetofile{\creditsfilename}{\vspace{3ex}\protect\par\protect\noindent\textbf{Automata}\protect\vspace{1ex}}
\include{automata/automata}


\part{Computational Complexity}
% \chaptertitletoendfiles{Complexity}
\addtoendnotes{\vspace{3ex}\textbf{Complexity}}
\Writetofile{\creditsfilename}{\vspace{3ex}\protect\par\protect\noindent\textbf{Complexity}}
\include{complexity/complexity}



\appendix % this command is in the cls file
  \Writetofile{\answerbodyfilename}{\protect\chapter{Appendices}}%
% Make answers to Appendix exercises come out numbered sensibly.
\makeatletter
\renewcommand{\Currentlabel}{\@currentlabel}
\makeatother
\addtoendnotes{\vspace{3ex}\textbf{Appendices}}
% \Writetofile{\creditsfilename}{\vspace{3ex}\protect\par\protect\noindent\textbf{Appendices}\protect\vspace{1ex}}
\include{appendix/appendix}

\part{Notes}
\newgeometry{textwidth=5.25in,
              inner=1.1in, 
              outer=1.1in,
              top=60pt,  % bottom=1in, %
              textheight=\dimexpr9.25in-2\dimexpr60pt\relax, %
              headsep=12pt,
              bindingoffset=0.6in,
              left=\jhendnotesoutdent, % change the left margin
              showframe  % show lines for the margins
              } 
\small
\pagestyle{endmatter}
\renewcommand{\definend}[1]{#1} % so it does not look funny in citetext's
{\small\printnotes}
% \Writetofile{\creditsfilename}{\vspace{3ex}\protect\par\protect\noindent\textbf{Notes}\protect\vspace{1ex}}
\Closesolutionfile{\creditsfilename}
% 
% Output the credits section
\outputcredits{\creditsfilename}
% 
\backmatter
% Make bibliography page style same as other chapters
\begingroup
\titleformat{\chapter}[display]{\normalfont\Large\bfseries}{}{0em}{}
  \titlespacing*{\chapter}
    {0pt}% left
    {4.85ex plus 1.5ex minus 0.3ex}% before sep
    {1.0ex plus 0.3ex minus 0.06ex}% after sep
\printbibliography[heading=bibintoc]
\endgroup
% \restoregeometry % for index
% \typeout{!!!! Index not printed!}
% \typeout{!!! Page number \thepage}
\printindex
\end{document}
